<?php 
require_once(dirname(__DIR__, 1) . '/config.php');
require_once(BASE_PATH . '/db/idl_connect.php');
echo '<meta charset="utf-8" />';
		
if(isset($_SESSION['user_droits'])) {
	if($_SESSION['user_droits'][5]!="2")
	{
		echo '<p class="noaccess">'.NOMODULE.' <a href="../index.php">'.ACCUEIL.'</a></p>';
	}
	else {
		?><style type="text/css">
		#mda4 { background-color: #fff; }
		#mda4 td { border: 3px #086A87 solid; }
		#mda3 td { border: 0; }
		</style><?php
		if(isset($_POST['vidage'])) {
			mysqli_query($bdd,"DELETE FROM ".$prefix."_groupele WHERE groupe_id = ".$_POST['vidage']."");
		}
		if(isset($_POST['suppr_id'])) {
			mysqli_query($bdd,"DELETE FROM ".$prefix."_groupele WHERE groupe_id = ".$_POST['suppr_id']."");
			mysqli_query($bdd,"DELETE FROM ".$prefix."_groupes WHERE groupe_id = ".$_POST['suppr_id']."");
		}
		if(isset($_POST['supprgroupes'])) {
			mysqli_query($bdd,"DELETE FROM ".$prefix."_groupele");
			mysqli_query($bdd,"DELETE FROM ".$prefix."_groupes");
		}
		if(isset($_POST['infosmodif'])) { // gestion des modifs info sur un groupe
			$nom = mysqli_real_escape_string($bdd,trim($_POST['gr_nom']));
			$description = mysqli_real_escape_string($bdd,$_POST['gr_desc']);
			$groupe_id = $_GET['groupe_id'];
			if($nom=="") {
				echo DATAC_GRP1;
			}
			$nom_verif = 0;
			$groups = mysqli_query($bdd,"SELECT * FROM ".$prefix."_groupes WHERE groupe_actif = 1");
			$groups_nb = mysqli_num_rows($groups);
			while($groups_liste = mysqli_fetch_assoc($groups)) {
				if($groups_liste['groupe_nom']==$nom) {
					$nom_verif = 1;
				}
			}
			if($nom_verif==0||$nom==$_SESSION['groupe_nom']) {
				mysqli_query($bdd,"UPDATE ".$prefix."_groupes SET groupe_nom = '".$nom."', groupe_desc = '".$description."' WHERE groupe_id = ".$groupe_id."");
			}
			else { echo DATAC_GRP2; }
		}
		// Gestion de l'enregistrement des élèves dans le groupe
		if(isset($_POST['ajouter'])) {
			$groupe_id = $_GET['groupe_id'];
			//sélection de l'élève
			include('./db/proc/eleve_select.php');
			if($_POST['classe']!="") { // pour inscription de classe
				$classe=1;
				$array = array_keys($_POST);
				foreach($array as $checked_id) {
					$eleve_id = trim((string)$checked_id);
					if (ctype_digit($eleve_id)) {
					    $eleve_id = (int)$eleve_id; // cast en entier
					} else {
					    $eleve_id = 0; // ou null si tu préfères
					}
					include("./db/proc/group_inscription.php");
				}
			}
			else { // sinon
				$classe=0;
				include("./db/proc/group_inscription.php");
			}
		}
		if(isset($_GET['groupe_id'])) {
			$groups = mysqli_query($bdd,"SELECT * FROM ".$prefix."_groupes WHERE groupe_id = ".$_GET['groupe_id']."");
			$groups_nb = mysqli_num_rows($groups);
			if($groups_nb==1) { $groupeaff = 1; }
			else { $groupeaff = 0; }
		}
		if(isset($_GET['groupe_id'])&&$groupeaff==1) {
			$groups_info = mysqli_fetch_assoc($groups);
			
			echo '<h1><b>'.GROUP.DOTS.'</b> '.$groups_info['groupe_nom'].'</h1>';
			$_SESSION['groupe_nom'] = $groups_info['groupe_nom'];
			// modification des infos sur le groupe			
			echo DATAC_GRP3.'
			<form method="POST" name="infosmodif" action="" class="padd2">
			<table id="install" class="noborder">
				<tr><td>'.DATAC_GRP4.'<br /></td><td><input type="text" class="inptxt" name="gr_nom" maxlength="20" value="'.$groups_info['groupe_nom'].'" /></td></tr>
				<tr><td>'.DATAC_GRP5.'</td><td><textarea rows="3" cols="40" name="gr_desc" value="">'.$groups_info['groupe_desc'].'</textarea></td></tr>
				<tr><td colspan="2" style="text-align:right;"><input class="bouton boutdb" type="submit" value="'.VALID.'" name="infosmodif" /></td></tr>
			</table>
			</form>
			<br />'.DATAC_GRP6;
			// gestion des élèves inscrits
			echo DATAC_GRP7;
			$groupele_select = "SELECT groupele.groupe_id, groupele.eleves_id, eleves.nom, eleves.prenom, eleves.division 
			FROM ".$prefix."_groupele groupele
			INNER JOIN ".$prefix."_eleves eleves
			ON groupele.eleves_id = eleves.eleves_id
			WHERE groupele.groupe_id = ".$groups_info['groupe_id']."
			ORDER BY eleves.division ASC, replace(replace(replace(replace(replace(replace(replace(replace(replace(replace(replace(replace(
	replace(replace(replace(replace(replace(replace(replace(replace(replace(replace(replace(replace(
	replace(eleves.nom,'À','A'),'Á','A'),'Â','A'),'Ã','A'),'Ä','A'),'Å','A'),'Ç','C'),'È','E'),'É','E')
	,'Ê','E'),'Ë','E'),'Ì','I'),'Í','I'),'Î','I'),'Ï','I'),'Ò','O'),'Ó','O'),'Ô','O'),'Õ','O')
	,'Ö','O'),'Ù','U'),'Ú','U'),'Û','U'),'Ü','U'),'Ý','Y') ASC";													
			$groupele = mysqli_query($bdd,$groupele_select);
			$groupele_nb = mysqli_num_rows($groupele);
			if($groupele_nb==0) {
				echo '<p>'.NOELEV2.'.</p>';
			}
			else {
				echo '<p><span id="nb_g">'.$groupele_nb.'</span> '.ELEVS3;
				if($groupele_nb>1) { echo PLURIEL; }
				echo ' :</p>';
				//inscrits					
				echo '<table>';
				foreach($groupele as $liste) {
					echo '<tr id="tr'.$liste['eleves_id'].':'.$liste['groupe_id'].'"><td>'.$liste['division'].' - '.$liste['nom'].' '.$liste['prenom'].'</td>';
					echo '<td name="noprint"><input class="boutontab" type="submit" onclick="sor'.$liste['eleves_id'].'_'.$liste['groupe_id'].'(this,\'tr'.$liste['eleves_id'].':'.$liste['groupe_id'].'\');" id="sor'.$liste['eleves_id'].':'.$liste['groupe_id'].'" value="'.DATAC_GRP8.'" name="sor'.$liste['eleves_id'].':'.$liste['groupe_id'].'" /> </td></tr>';
					echo '<script type="text/javascript">
						function sor'.$liste['eleves_id'].'_'.$liste['groupe_id'].'(retards_id, divs) {
						var param = "delfromgr";
						var rnb = document.getElementById("nb_g").textContent;
						var new_rnb = rnb-1;
						document.getElementById(divs).style.display = "none";
						document.getElementById("nb_g").textContent = new_rnb;
						var eleve_id = '.$liste['eleves_id'].';
						var groupe_id = '.$liste['groupe_id'].';
						$.ajax({
						    type: "POST",
						    data: { param: param, eleve_id: eleve_id, groupe_id: groupe_id },
						    url: "js/idl/freq_exclu_syn.php",
						   });
						}						
					</script>';
				}
				echo '</table>';
			}
			// ajout d'élèves
			echo DATAC_GRP9;
			echo '<form method="POST" name="ajout" action="" class="padd1">';
			//Choix de l'élève :
			echo '<table class="noborder"><tr><td><table name="form" class="dbform">
				<tr>
					<td><label for="eleves">'.NAMECH.'</label></td>
					<td>
					  <input type="text" autocomplete="off" aria-autocomplete="none" class="inptxt" name="eleve" size="20" id="eleves" value="">
					</td>
				</tr>
			</table>';	
			//par une classe :
			echo '<p><a href="javascript:;clearTimeout(timer);" style="color:black;text-decoration:none;" onmouseover="this.style.textDecoration=\'underline\';" onmouseout="this.style.textDecoration=\'none\';" onmousedown="toggleDiv(\'divclasse\');">'.OR1.' <b>'.DATAC_GRP10.'</b></a></p>';
			echo '<div  id="divclasse" style="display:none;">';
			include('db/proc/elediv_select.php');
			echo '</div></td></tr><tr><td style="text-align:right;"><input class="bouton boutdb" type="submit" value="'.ADD.'" name="ajouter" /></td></tr></table>
			</form>';
											
			// vidage du groupe
			if($groupele_nb>1) {
				echo DATAC_GRP11;
				echo '<form name="videgroupe" action="" method="POST"><input type="hidden" value="'.$groups_info['groupe_id'].'" name="vidage" /><input class="bouton boutdb" type="submit" value="'.DATAC_GRP12.'" name="videgroupe" /></form>';
			}
			// suppression du groupe
			echo DATAC_GRP13;
			echo '<form method="POST" name="supprgroupe" action="database.php?page=groupes"><input type="hidden" value="'.$groups_info['groupe_id'].'" name="suppr_id" /><input class="bouton boutdb" type="submit" value="'.DATAC_GRP14.'" name"supprgroupe" /></form>';
		}
		else {	
			if(isset($_POST['groupenew'])) {
				$nom = mysqli_real_escape_string($bdd,trim($_POST['gr_nom']));
				$description = mysqli_real_escape_string($bdd,$_POST['gr_desc']);
							
				if($nom=="") {
					echo DATAC_GRP1;
				}
				$nom_verif = 0;
				$groups = mysqli_query($bdd,"SELECT * FROM ".$prefix."_groupes");
				$groups_nb = mysqli_num_rows($groups);
				while($groups_liste = mysqli_fetch_assoc($groups)) {
					if($groups_liste['groupe_nom']==$nom) {
						if($groups_liste['groupe_actif']==0) {
							mysqli_query($bdd,"UPDATE ".$prefix."_groupes SET groupe_actif = 1 WHERE groupe_nom = '".$nom."'");
						}
						else {
							echo DATAC_GRP2;
						}
						$nom_verif = 1;
					}
				}
				if($nom_verif==0) {
					mysqli_query($bdd,"INSERT INTO ".$prefix."_groupes (groupe_id, groupe_nom, groupe_desc, groupe_actif) VALUES ('', '".$nom."', '".$description."', '1')");
				}
			}
			
			echo '<div style="overflow: auto;  white-space: nowrap;">'.DATAC_GRP15.'
			<form method="POST" name="groupenew" action="" class="padd2">
			<table id="install" class="noborder">
				<tr><td>'.DATAC_GRP4.'<br /></td><td><input type="text" class="inptxt" name="gr_nom" maxlength="20" id="gr_nom" value="" /></td></tr>
				<tr><td>'.DATAC_GRP5.'</td><td><textarea rows="3" cols="40" name="gr_desc" value=""></textarea></td></tr>
				
				<tr><td colspan="2" style="text-align:right;"><input class="bouton boutdb" type="submit" value="'.VALID.'" name="groupenew" /></td></tr>
			</table>
			
			</form>
			
			<br />'.DATAC_GRP6;
			
			echo DATAC_GRP16;
			$groups = mysqli_query($bdd,"SELECT * FROM ".$prefix."_groupes WHERE groupe_actif = 1 ORDER BY groupe_nom ASC");
			$groups_nb = mysqli_num_rows($groups);
			if($groups_nb==0) {
				echo DATAC_GRP17;
			}
			else {
				echo '<p>'.$groups_nb.' '.GROUP2;
				if($groups_nb>1) {
					echo PLURIEL;
				}
				echo ' :</p>';
				echo '<table class="dbform">';
				while($groups_liste = mysqli_fetch_assoc($groups)) {
					echo '<tr><td><b>'.NAME.DOTS.'</b> '.$groups_liste['groupe_nom'].'</td><td><b>'.DESCRIPT.DOTS.'</b> ';
					if($groups_liste['groupe_desc']=="") {
						echo '<i>'.NONE2.'.</i>';
					}
					else { echo $groups_liste['groupe_desc']; }
					echo '</td>';
					$groupele = mysqli_query($bdd,"SELECT * FROM ".$prefix."_groupele WHERE groupe_id = ".$groups_liste['groupe_id']."");
					$groupele_nb = mysqli_num_rows($groupele);
					echo '<td><b>'.FDIR_STATS_INFP2.DOTS.'</b> '.$groupele_nb.'</td><td><a href="database.php?page=groupes&groupe_id='.$groups_liste['groupe_id'].'">'.SEEMODIFY.'</a></td></tr>';
				}
				echo '</table>';
				echo '<form name="supprgroupes" action="" method="POST" class="padd2"><span class="midecart"><input class="bouton boutdb" type="submit" value="'.DATAC_GRP18.'" name="supprgroupes" /></span></form>';
			}
			echo "<script type=\"text/javascript\">
				document.getElementById('gr_nom').focus();
			</script></div>";
		}
	}	
	
}
else {
	include('include/noaccess.php');
	echo '<br><a href="../index.php">'.ACCUEIL.'</a></p>';
}
?>
